Bug 4279 - Mozilla-mail блокирует все локальные папки в процессе работы только с одной из них
: Mozilla-mail блокирует все локальные папки в процессе работы только с одной и...
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/mozilla)
: unstable
: all Linux
: P5 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-06-02 19:06 by
Modified: 2007-04-06 15:20 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-02 19:06:41
Mozilla-mail блокирует все локальные папки при помещении сообщений хоть в одну
из них.

Например - при отправке письма копия кладется в локальную папку "Отправленные".
Если в этот же момент попытаться удалить сообщение, то до момента пока не
закончит работу процесс переноса копии в "Отправленные" - удаление не будет
работать.

И через некоторое время активной переписки, с переодическим удалением спама,
возникает странная ситуация, когда заблокировано половина локальных папок и не
работает удаление или перемещение в Junk или копирование в папку
"Отправленные".


По хорошему Mozilla-mail должна блокировать только ту папку, которую открывает
на запись.
------- Comment #1 From 2004-06-03 19:21:35 -------
Это у тебя все на IMAP ?
И, кстати, почему Severity: blocker ?
------- Comment #2 From 2004-06-03 19:41:45 -------
Потому что - блокирует ;-) 
 
------- Comment #3 From 2004-06-03 19:51:55 -------
Что блокирует? Эта ошибка делает работу mozilla-mail не возможной? Если да, то
я 
не стану выкладывать никаких новых сборок пока эта ошибка не будет исправлена.
Ничего веселого я тут не вижу. 
------- Comment #4 From 2004-06-03 20:02:51 -------
IMAP - папки с входящей почтой.
А папки с удаленными,рекламными и отправленными сообщениями - локальные.

На самом деле работать практически невозможно - приходится перезапускать mozilla
через каждые полчаса.
------- Comment #5 From 2004-06-03 20:14:49 -------
Тогда да.
------- Comment #6 From 2004-06-03 21:15:06 -------
Какие папки у тебя локалльные, а какие находятся на сервере? 
Сколько писем в локальных папках и в удаленных?
Ты можешь описать детально шаги для воспроизведения? 
------- Comment #7 From 2004-06-04 10:16:34 -------
Удаленных папок: 33, количество писем - не менее 250 тысяч.
Локальных папок 3 - Trash, Junk и "Отправленные" (не помню как в оригинале).
Настроено получение: шести папок - информирование о новой почте через каждые 10
минут, из них две папки - для автономной работы.
Настроен Junk. Junk настроен так, что спам перемещается в папку Junk и
удаляется
через 10 дней.

Гарантированно вылетает когда работает Junk и одновременно пытаешься еще
читать/удалять письма в inbox'е, при этом количество полученных (общее, вмесе
со
спамом) писем - около 700.

Для воспроизведения данной ситуации рекомендую неделю попользоваться Imap'ом.
;-)
------- Comment #8 From 2004-06-04 12:46:12 -------
Антон, нужен другой способ для востпроизведения. Я сейчас буду делать стенд, но 
если на воспроизведение потребуется неделя, то Resolve: WORKSFORMЕ.
------- Comment #9 From 2005-06-20 20:20:48 -------
на firefox не воспроизводится, можно закрывать наверное
------- Comment #10 From 2005-06-20 21:00:22 -------
CLOSED ?
------- Comment #11 From 2007-04-06 15:20:09 -------
У меня это уже не воспроизводится.